/* vim: set sw=8 ts=8 si et: */
/* $Revision: 1.1 $, last changed: $Date: 1998/05/07 17:54:10 $ File: $RCSfile: blowfish_n.h,v $ */
#ifndef COMMONHEAD
#define COMMONHEAD 1

#define MAXKEYBYTES 56          /* 448 bits */
/* This string can be read by the Unix program "what" */
#define VERINFO "@(#)Version: 1.1"

#ifdef __alpha 
#define UWORD_32bits  unsigned int
#else 
#define UWORD_32bits  unsigned long
#endif
#define UWORD_16bits  unsigned short
#define UBYTE_08bits  unsigned char

union twoword{
        /*one round handels 64 bits*/
        UWORD_32bits w[2];
        UBYTE_08bits b[8];
};

/*---------------------------------------*/
extern char *mygetpass(char *prompt);

extern void do_encipher(UBYTE_08bits *blockof64bit);
extern void do_decipher(UBYTE_08bits *blockof64bit);
extern int Initializekey(char *key, int keybytes);
extern int cipher_cleanup();

#endif  /* COMMONHEAD */
